# -*- RPM-SPEC -*-
Summary: Graphical package manager
Name: system-config-packages
Version: 1.2.23
Release: 1.XOS.1
URL: http://www.redhat.com/ 
Source0: %{name}-%{version}.tar.gz
Patch: system-config-packages-1.2.23-xos.patch
License: GPL
Group: Applications/System 
BuildArch: noarch
Requires: initscripts >= 0:5.99, usermode, libglade2, pygtk2-libglade, pygtk2, python, rhpl >= 0:0.73-2, comps-extras, rpm-python >= 0:4.2-0.61, libxml2-python
Requires: gnome-python2 >= 0:1.99.11-3
Requires: dbus-python, hal >= 0:0.2.98
Prereq: desktop-file-utils >= 0:0.8
BuildRequires: /usr/bin/python, gettext, glibc-devel, gcc, desktop-file-utils
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: gnorpm, redhat-config-packages

%description

system-config-packages is a graphical package manager.  It
supports installation of interesting packages from CD.

%prep
%setup -q

%if %(test -f /etc/xos-release && echo 1 || echo 0)
%patch -p1
%endif

%configure

%build

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%preun
if [ -d %{_datadir}/%{name} ] ; then
  rm -rf %{_datadir}/%{name}/*.pyc
fi

%post
/usr/bin/update-desktop-database %{_datadir}/applications

%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog src/autorun README
%{_datadir}/application-registry/*
%{_datadir}/system-config-packages
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%config(noreplace) /etc/pam.d/*
%config(noreplace) /etc/security/console.apps/*
%{_sbindir}/*
%{_bindir}/*

%changelog
* Thu Jul 28 2005 X/OS Linux Team <xoslinux@xos.nl> 1.2.23-1.XOS.1
- Build for X/OS Linux 4.
- X/OS Linux source rpm based on system-config-packages-1.2.23-1.src.rpm
  (md5sum of original source rpm: fa3ef9362e1c1343d8eed31f265ac194).
- Change package directory paths for X/OS Linux.

* Thu Dec  2 2004 Jeremy Katz <katzj@redhat.com> - 1.2.23-1
- more metapkg fixing (#138397)

* Wed Dec  1 2004 Jeremy Katz <katzj@redhat.com> - 1.2.22-1
- rebuild for translations (#141456)

* Mon Nov 15 2004 Jeremy Katz <katzj@redhat.com> - 1.2.21-1
- Fix handling of metapkgs (#138397)
- Use /media for default mntpoint instead of /mnt
- Fix path in --help (#137871)

* Mon Oct 25 2004 Jeremy Katz <katzj@redhat.com> - 1.2.20-1
- Fix handling of already mounted CD (#135383, #135534)

* Mon Oct  4 2004 Jeremy Katz <katzj@redhat.com> - 1.2.19-1
- Fix finding of CD mount point (#133657)

* Thu Sep 23 2004 Jeremy Katz <katzj@redhat.com> - 1.2.17-1
- use HAL for cd device discovery and locking
- replace use of deprecated pygtk functions
- remove OnlyShowIn from desktop file (#132804)
- fix ftp tree for new rpm api (#133059)

* Tue Sep 14 2004 Jeremy Katz <katzj@redhat.com> - 1.2.16-2
- fix invocation of update-desktop-database to have the right path

* Mon Sep 13 2004 Jeremy Katz <katzj@redhat.com> - 1.2.16-1
- call update-desktop-database in %%post

* Mon Sep 13 2004 Jeremy Katz <katzj@redhat.com> - 1.2.15-1
- can't require comps, that breaks during installation
- don't traceback on headless (#132241)
- update for new MIME setup
- replace & with &amp; (#131523)

* Fri Apr 23 2004 Brent Fox <bfox@redhat.com> 1.2.14-1
- require comps (bug #121594)

* Fri Apr 23 2004 Brent Fox <bfox@redhat.com> 1.2.13-1
- remove *pyc files on uninstall (bug #121121)

* Wed Apr 14 2004 Jeremy Katz <katzj@redhat.com> -  1.2.12-1
- translation update

* Mon Apr  5 2004 Jeremy Katz <katzj@redhat.com>
- Update summary (#119422)

* Thu Mar 18 2004 Jeremy Katz <katzj@redhat.com> 1.2.11-1
- Adjust for rpm-python API chnage (#118680).

* Wed Mar 10 2004 Jeremy Katz <katzj@redhat.com> 1.2.10-1
- rename to system-config-packages

* Mon Nov 17 2003 Jeremy Katz <katzj@redhat.com> 1.2.9-1
- Fix for s390x from jlaska (#104739)

* Tue Nov 11 2003 Jeremy Katz <katzj@redhat.com> 1.2.8-1
- handle packages in ../Updates/

* Mon Nov 10 2003 Jeremy Katz <katzj@redhat.com> 1.2.7.1-1
- work with python 2.3 also

* Fri Nov  7 2003 Jeremy Katz <katzj@redhat.com> 1.2.7-1
- follow discid path everywhere (#109276)

* Mon Oct 20 2003 Jeremy Katz <katzj@redhat.com> 1.2.6-1
- make timestamp requirements less strict since .discinfo's were 
  getting truncated timestamps (#105767 and others)

* Wed Sep 24 2003 Jeremy Katz <katzj@redhat.com> 1.2.5-1
- Throw out packages which aren't for our arch earlier (#105005)

* Fri Sep 19 2003 Jeremy Katz <katzj@redhat.com> 1.2.4-1
- fix requirement formatting (#104715)

* Wed Sep  4 2003 Jeremy Katz <katzj@redhat.com> 1.2.3-1
- fix help message

* Fri Aug 29 2003 Jeremy Katz <katzj@redhat.com> 1.2.2-1
- fix for ppc64 (#103375)

* Wed Aug 20 2003 Jeremy Katz <katzj@redhat.com> 1.2.1-1
- fix for case without order in comps file (#102278)

* Tue Aug 12 2003 Jeremy Katz <katzj@redhat.com> 1.2.0-1
- update for multilib fun

* Fri Apr 18 2003 Jeremy Katz <katzj@redhat.com> 1.1.9-1
- we can't check sigs with the db closed (#88343)

* Mon Feb 24 2003 Jeremy Katz <katzj@redhat.com> 1.1.8-1
- fix for backwards of what I expected flags stuff in single package mode 
  (reported on phoebe list)

* Sun Feb 23 2003 Jeremy Katz <katzj@redhat.com> 1.1.7-1
- add startup notification
- update translations

* Tue Feb 11 2003 Jeremy Katz <katzj@redhat.com> 
- update requires on rpm (#84039)

* Sun Feb  9 2003 Jeremy Katz <katzj@redhat.com> 1.1.6-1
- various minor bugfixes

* Mon Jan 13 2003 Jeremy Katz <katzj@redhat.com> 1.1.5-1
- name change in desktop file

* Fri Jan  3 2003 Than Ngo <than@redhat.com> 1.1.4-1
- fix bug #80468

* Thu Jan  2 2003 Jeremy Katz <katzj@redhat.com> 1.1.3-1
- add url support (--tree={ftp,http}://) (#79000)

* Wed Jan  1 2003 Jeremy Katz <katzj@redhat.com> 1.1.2-1
- few minor fixes (#80800)

* Sat Dec 28 2002 Jeremy Katz <katzj@redhat.com> 1.1.1-1
- fs for cds can now be udf,iso9660 as well
- fix up state reading to be faster (bug in rpm 4.2 porting)

* Wed Oct 30 2002 Jeremy Katz <katzj@redhat.com>
- update to work with rpm 4.2

* Fri Oct 11 2002 Jeremy Katz <katzj@redhat.com>
- add scrollkeeper to removal blacklist so that we can't mistakenly 
  most of GNOME (#74958)
- RPMTAG_PROVIDES can be None in some cases; don't try to iterate over 
  None (#74877)
- don't allow src.rpms to be installed into the database (#75388)
- fix size string translation (#75584)
- fix spanish translation which caused a segfault due to missing </b> (#74973)
- make instProvs and providesDict use lists as their values so we don't 
  remove packages erroneously if multiple packages provide something (#75661)
- more translation updates

* Tue Sep  3 2002 Jeremy Katz <katzj@redhat.com>
- update translations

* Fri Aug 30 2002 Jeremy Katz <katzj@redhat.com>
- set hint so that nautilus won't pop up windows while installing
- fix pixmap path for CDs
- add a way for centering for firstboot
- miscellaneous other minor bug fixes

* Thu Aug 29 2002 Jeremy Katz <katzj@redhat.com>
- oops, another typo fix build

* Thu Aug 29 2002 Jeremy Katz <katzj@redhat.com>
- obsolete gnorpm
- other minor fixes
- fix bad interactions with magicdev

* Wed Aug 28 2002 Jeremy Katz <katzj@redhat.com>
- add README

* Wed Aug 28 2002 Jeremy Katz <katzj@redhat.com>
- handle extra CDs having dependencies on packages within the main distribution

* Tue Aug 27 2002 Jeremy Katz <katzj@redhat.com>
- handle multiple CD-ROM drives more sanely
- start handling packages from multiple sources better
- fix textdomain of specspo

* Sat Aug 24 2002 Jeremy Katz <katzj@redhat.com>
- fix a typo

* Sat Aug 24 2002 Jeremy Katz <katzj@redhat.com>
- Make the single-package tool faster if dependencies are already installed.  
- Various other minor bugfixes

* Thu Aug 15 2002 Preston Brown <pbrown@redhat.com>
- handle package installation in KDE as well.

* Wed Aug 14 2002 Jonathan Blandford <jrb@redhat.com>
- new version.  Added the single-package tool

* Mon Aug 12 2002 Jeremy Katz <katzj@redhat.com>
- another new version with lots more changes
- add sample autorun to included docs

* Tue Aug  6 2002 Jonathan Blandford <jrb@redhat.com>
- New version

* Sun Aug  4 2002 Jeremy Katz <katzj@redhat.com>
- huge numbers of changes.  starting to work a lot better

* Fri Jul 26 2002 Jeremy Katz <katzj@redhat.com>
- fix desktop file so that we show up in the main apps menu
- fix requires

* Tue Jul 23 2002 Jonathan Blandford <jrb@redhat.com>
- Create spec file
